| Disk ARchive 2.8.3 Full featured and portable backup and archiving tool

Loading...
Searching...
No Matches
Public Member Functions | Protected Attributes | Private Member Functions | List of all members
libdar::crit_and Class Reference
API

realises the AND operator More...

`#include <criterium.hpp>`

Inherits libdar::criterium, and libdar::criterium.

## Public Member Functions
| crit_and (const crit_and &ref)
| crit_and (crit_and &&ref)=default
crit_and & | operator= (const crit_and &ref)
crit_and & | operator= (crit_and &&ref) noexcept=default
void | add_crit (const criterium &ref)
void | clear ()
void | gobe (crit_and &to_be_voided)
| this call merges to the current call the arguments of another "crit_and", the given argument is cleared of its arguments.
virtual bool | evaluate (const cat_nomme &first, const cat_nomme &second) const override
| criterum interface method
virtual criterium * | clone () const override
| clone construction method
| crit_and (const crit_and &ref)
| crit_and (crit_and &&ref)=default
crit_and & | operator= (const crit_and &ref)
crit_and & | operator= (crit_and &&ref) noexcept=default
void | add_crit (const criterium &ref)
void | clear ()
void | gobe (crit_and &to_be_voided)
| this call merges to the current call the arguments of another "crit_and", the given argument is cleared of its arguments.
virtual bool | evaluate (const cat_nomme &first, const cat_nomme &second) const override
| criterum interface method
virtual criterium * | clone () const override
| clone construction method
Public Member Functions inherited from libdar::criterium
| criterium (const criterium &ref)=default
| criterium (criterium &&ref) noexcept=default
criterium & | operator= (const criterium &ref)=default
criterium & | operator= (criterium &&ref) noexcept=default
| criterium (const criterium &ref)=default
| criterium (criterium &&ref) noexcept=default
criterium & | operator= (const criterium &ref)=default
criterium & | operator= (criterium &&ref) noexcept=default

## Protected Attributes
std::deque< criterium * > | operand

## Private Member Functions
void | copy_from (const crit_and &ref)
void | detruit ()
void | copy_from (const crit_and &ref)
void | detruit ()

## Detailed Description

realises the AND operator

Definition at line 520 of file dar64-2.8.3-win64/include/dar/criterium.hpp.

## Constructor & Destructor Documentation

## ◆ crit_and() [1/4]

libdar::crit_and::crit_and | ( |  | ) |
| inline

Definition at line 523 of file dar64-2.8.3-win64/include/dar/criterium.hpp.

## ◆ crit_and() [2/4]

libdar::crit_and::crit_and | ( | const crit_and & | ref | ) |
| inline

Definition at line 524 of file dar64-2.8.3-win64/include/dar/criterium.hpp.

## ◆ ~crit_and() [1/2]

libdar::crit_and::~crit_and | ( |  | ) |
| inline

Definition at line 528 of file dar64-2.8.3-win64/include/dar/criterium.hpp.

## ◆ crit_and() [3/4]

libdar::crit_and::crit_and | ( |  | ) |
| inline

Definition at line 523 of file src/libdar/criterium.hpp.

## ◆ crit_and() [4/4]

libdar::crit_and::crit_and | ( | const crit_and & | ref | ) |
| inline

Definition at line 524 of file src/libdar/criterium.hpp.

## ◆ ~crit_and() [2/2]

libdar::crit_and::~crit_and | ( |  | ) |
| inline

Definition at line 528 of file src/libdar/criterium.hpp.

## Member Function Documentation

## ◆ clear() [1/2]

void libdar::crit_and::clear | ( |  | ) |
| inline

Definition at line 531 of file dar64-2.8.3-win64/include/dar/criterium.hpp.

## ◆ clear() [2/2]

void libdar::crit_and::clear | ( |  | ) |
| inline

Definition at line 531 of file src/libdar/criterium.hpp.

## ◆ clone() [1/2]

virtual criterium * libdar::crit_and::clone | ( |  | ) | const
| inline override virtual

clone construction method

Returns
  a new object of the same type,

Note
  this method must be implemented in all the leaf classes of the class hierarchy rooted at the criterium class

Implements libdar::criterium.

Definition at line 537 of file dar64-2.8.3-win64/include/dar/criterium.hpp.

## ◆ clone() [2/2]

virtual criterium * libdar::crit_and::clone | ( |  | ) | const
| inline override virtual

clone construction method

Returns
  a new object of the same type,

Note
  this method must be implemented in all the leaf classes of the class hierarchy rooted at the criterium class

Implements libdar::criterium.

Definition at line 537 of file src/libdar/criterium.hpp.

## ◆ evaluate() [1/2]

virtual bool libdar::crit_and::evaluate | ( | const cat_nomme & | first,
|  | const cat_nomme & | second ) const
| override virtual

criterum interface method

Parameters

  [in] | first | entry to compare with the following (this is the original or 'in place' entry)
  [in] | second | the other entry to compare with the previous one (this is the new entry to add)

Returns
  the result of the criterium evaluation (true or false)

Implements libdar::criterium.

## ◆ evaluate() [2/2]

virtual bool libdar::crit_and::evaluate | ( | const cat_nomme & | first,
|  | const cat_nomme & | second ) const
| override virtual

criterum interface method

Parameters

  [in] | first | entry to compare with the following (this is the original or 'in place' entry)
  [in] | second | the other entry to compare with the previous one (this is the new entry to add)

Returns
  the result of the criterium evaluation (true or false)

Implements libdar::criterium.

## ◆ operator=() [1/2]

crit_and & libdar::crit_and::operator= | ( | const crit_and & | ref | ) |
| inline

Definition at line 526 of file dar64-2.8.3-win64/include/dar/criterium.hpp.

## ◆ operator=() [2/2]

crit_and & libdar::crit_and::operator= | ( | const crit_and & | ref | ) |
| inline

Definition at line 526 of file src/libdar/criterium.hpp.

## Member Data Documentation

## ◆ operand

std::deque< criterium * > libdar::crit_and::operand
| protected

Definition at line 540 of file dar64-2.8.3-win64/include/dar/criterium.hpp.

The documentation for this class was generated from the following files:

- dar64-2.8.3-win64/include/dar/criterium.hpp
- src/libdar/criterium.hpp